<?php
//exit;
date_default_timezone_set ( "America/Lima" ); 

define('SF_ROOT_DIR', "/home/credunion/public_html/carlin");
//define('SF_ROOT_DIR', "C://wamp/www/credisur");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


$con= Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

$dia = date('N');

if($dia == 7) exit;


if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}


	//Debe ser un 
	//Esta tarea no debe ejecutarse el domingo
	
$sql = "SELECT 	Max(Fecha) as Fecha
		FROM 	`cr_asistencia` 
		WHERE 	1=1 
		LIMIT 	0,1
		";
	
$result = mysql_query($sql,$con);
if(mysql_num_rows($result) > 0 ){
	while($row = mysql_fetch_array($result)){
		$Fecha = $row['Fecha'];
	}
}

if(!$Fecha) $Fecha = date('Y-m-d');

//$Fecha = "2020-11-04";

$sql = "SELECT 	IdSucursal
		FROM 	`cr_sucursal` 
		WHERE 	1=1  
		AND eliminado = '0' 
		";
	
$resultS = mysql_query($sql,$con);
if(mysql_num_rows($resultS) > 0 ){
	while($rowS = mysql_fetch_array($resultS)){
		$IdSucursal = $rowS['IdSucursal'];		
		
				
		
		
		$fecha_con_retrazo = date('Y-m-d',strtotime($fecha." -".$dias_retrazo." day"));
		
		$sql = "SELECT 		IdAdministrador
				FROM 		`cr_sucursal` 
				WHERE 	1=1 				
						and IdSucursal = '".$IdSucursal."'
					";
		echo $sql."**<br>";
		$result = mysql_query($sql,$con);
		if(mysql_num_rows($result) > 0 ){
			while($row = mysql_fetch_array($result)){
				$IdAdministrador = $row['IdAdministrador'];
			
			
				//Buscar los colaboradores incluido el administrador
				
				$sql = "SELECT 	IdColaborador, Sueldo
						FROM 	`cr_colaborador` 
						WHERE 	1=1 				
								and ( IdPadre= '".$IdAdministrador."' or idcolaborador='".$IdAdministrador."')
								and eliminado = '0'
							";
				echo $sql;	
				$resultC = mysql_query($sql,$con);
				if(mysql_num_rows($resultC) > 0 ){
					while($rowC = mysql_fetch_array($resultC)){
						$IdColaborador = $rowC['IdColaborador'];
						$sql = "SELECT 	IdColaborador
								FROM 	`rh_marcacion_colaborador` 
								WHERE 	1=1 				
										and  IdColaborador = '".$IdColaborador."' 
									";
						echo $sql."<br>";	
						$result1 = mysql_query($sql,$con);
						if(mysql_num_rows($result1) == 0 ){
							$sql = "
									INSERT INTO `rh_marcacion_colaborador` (`idregistro`, `idtipo`, `idcolaborador`, `horaminutodesde`, `flagdiasiguiente`, `horaminutohasta`, `montodescuento`, `estado`, `secuencia`) VALUES
									('I', 'N', '".$IdColaborador."' , '08:00', NULL, '08:05', NULL, 'A', 1),
									('I', 'T', '".$IdColaborador."' , '08:05', NULL, '09:00', 0.00, 'A', 2),
									('F', 'N', '".$IdColaborador."' , '09:00', NULL, '23:59', 0.00, 'A', 4);
									COMMIT;
										";
							echo $sql;	
							$result_i = mysql_db_query(Conexion::getNameDb(), $sql, $con);
						}
					}
						
				}
			}
			
		}
	}
}
?>